> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Truncate all data from an event store

POST https://rest.test.zuora.com/meters/events/stores/{eventStoreId}/truncate

Truncates (deletes) all events from a specific event store in Zuora Mediation.

This operation runs asynchronously and returns a query job identifier that
you can use with the Event Store query job APIs to monitor status.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/mediation/event-store/truncate-event-store

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `eventStoreId` (long, required) — ID of the event store to truncate.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

OK - Truncation job successfully submitted

- `success` (boolean, optional) — Indicates whether the request was successful.
- `data` (TruncateEventStoreResponseData, optional) — Truncation job metadata.
- `previousPage` (string, optional, nullable) — Cursor for the previous page, if available. Used for backward pagination.
- `nextPage` (string, optional, nullable) — Cursor for the next page, if available. Used for forward pagination.

## Errors

### 400 Bad Request Error

Bad Request - Invalid eventStoreId parameter

- `success` (boolean, optional) — Indicates whether the request was successful.
- `previousPage` (string, optional, nullable) — Cursor or URL for the previous page of results, if available. Used for backward pagination.
- `nextPage` (string, optional, nullable) — Cursor or URL for the next page of results, if available. Used for forward pagination.
- `error` (MediationTruncateErrorResponseError, optional)

### 404 Not Found Error

Not Found - Event Store does not exist

- `success` (boolean, optional) — Indicates whether the request was successful.
- `previousPage` (string, optional, nullable) — Cursor or URL for the previous page of results, if available. Used for backward pagination.
- `nextPage` (string, optional, nullable) — Cursor or URL for the next page of results, if available. Used for forward pagination.
- `error` (MediationTruncateErrorResponseError, optional)

### 409 Conflict Error

Conflict - Event Store is in a non-modifiable state

- `success` (boolean, optional) — Indicates whether the request was successful.
- `previousPage` (string, optional, nullable) — Cursor or URL for the previous page of results, if available. Used for backward pagination.
- `nextPage` (string, optional, nullable) — Cursor or URL for the next page of results, if available. Used for forward pagination.
- `error` (MediationTruncateErrorResponseError, optional)

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

## Types

### TruncateEventStoreResponseData

Truncation job metadata.

- `queryId` (string, optional) — ID of the submitted truncation job. Use this to poll job status.

### MediationTruncateErrorResponseError

- `code` (string, optional) — Application-specific error code.
- `message` (string, optional) — Human-readable error message.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Response**

```json
{
  "success": true,
  "data": {
    "queryId": "3ff468bf0abb4b359733fad8f8ccb4d0"
  },
  "previousPage": null,
  "nextPage": null
}
```

**SDK Code**

```python Event Store_truncateEventStore_example
import requests

url = "https://rest.test.zuora.com/meters/events/stores/1/truncate"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Event Store_truncateEventStore_example
const url = 'https://rest.test.zuora.com/meters/events/stores/1/truncate';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Event Store_truncateEventStore_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/meters/events/stores/1/truncate"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Event Store_truncateEventStore_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/meters/events/stores/1/truncate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Event Store_truncateEventStore_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://rest.test.zuora.com/meters/events/stores/1/truncate")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Event Store_truncateEventStore_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://rest.test.zuora.com/meters/events/stores/1/truncate', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Event Store_truncateEventStore_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/meters/events/stores/1/truncate");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Event Store_truncateEventStore_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/meters/events/stores/1/truncate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```